Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 20 Feb 2020, 16:44
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
The Debian-Stretch-Live Starter Kit
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 10 of 24 [357 Posts]   Goto page: Previous 1, 2, 3, ..., 8, 9, 10, 11, 12, ..., 22, 23, 24 Next
Author Message
westwest

Joined: 10 Apr 2015
Posts: 72

PostPosted: Tue 04 Sep 2018, 22:53    Post subject: DEVX  

Thanks Fred and rcrsn51,

I had already installed the kernel headers (made into a SFS using repo2sfs)
and have now modified the sources.list for Virtualbox (and installed the keyring).

As for the devx, i simply entered "devx" and "mini-devx" into apt2sfs and repo2sfs as i would for any other application... either packages were not found, as it is perhaps not a package?

There is obviously more to the procedure...
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12975
Location: Stratford, Ontario

PostPosted: Wed 05 Sep 2018, 06:44    Post subject:  

Quote:
You can build your own mini-devx using apt2sfs.

Include two packages: build-essential and linux-headers-4.9.0-6-amd64

Run apt2sfs (it's in the DDog Special menu). Enter the above two files. Name the resulting module "mini-devx.squashfs".

Quote:
I had already installed the kernel headers (made into a SFS using repo2sfs)
and have now modified the sources.list for Virtualbox (and installed the keyring).

Then what is going wrong?
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12975
Location: Stratford, Ontario

PostPosted: Wed 05 Sep 2018, 07:53    Post subject:  

ETP wrote:
Could you please detail your specific steps for the routine conversion from ChromeOS to Linux on the C720?

Is this discussion over?
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 08:58    Post subject:  

fredx181 wrote:
Here's for XFCE lovers (includes me Smile ) an alternative "Starter Kit" with full XFCE desktop.
32-bit ISO:
https://dl.dropboxusercontent.com/s/0gqmpjs6o6wy71v/DebLive_Stretch-xfce4-i386.iso?dl=1 Size 160MB


hi Fred, thx for this awesomeness. Seems a more complete implementation of xfce than StretchDog32-openbox_xfce-jwm-2017-10-10 (my current main OS).

but, failed to install an Opera deb, using "install.deb(s)"
opera-stable_45.0.2552.898_i386.deb
https://deb.pkgs.org/universal/opera-i386/opera-stable_45.0.2552.898_i386.deb.html

This deb installed no problem on StretchDog32-openbox_xfce-jwm-2017-10-10.

Here's RPM
https://ftp.opera.com/pub/opera/desktop/45.0.2552.898/linux/

Last edited by johnywhy on Wed 05 Sep 2018, 09:01; edited 1 time in total
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12975
Location: Stratford, Ontario

PostPosted: Wed 05 Sep 2018, 09:00    Post subject:  

Page 1 has instructions for building an Opera squash module out of the deb.
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 09:05    Post subject:  

rcrsn51 wrote:
Page 1 has instructions for building an Opera squash module out of the deb.


Thx rcrsn51!

Any idea how they got it working on StretchDog32-openbox_xfce-jwm-2017-10-10 with "install.deb(s)". No special steps needed.

_________________
Now: X-Tahr 2.0! StretchDog! DevuanDog!
Tops: TarhNOP Vlina-R2 Racy
Used: Puppeee Precise Lucid Wary Tahrpup Quirky Slacko MacPup Saluki Puppy Studio LxPupTarh Lina-Lite Lina
i ♥ Puppy
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12975
Location: Stratford, Ontario

PostPosted: Wed 05 Sep 2018, 09:06    Post subject:  

However, those instructions are for the new 64bit versions. I don't know how they apply to your setup.
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 09:11    Post subject:  

rcrsn51 wrote:
However, those instructions are for the new 64bit versions. I don't know how they apply to your setup.

yes, i noticed the steps say to download AMD64, but i'm running 32bit.

THX

_________________
Now: X-Tahr 2.0! StretchDog! DevuanDog!
Tops: TarhNOP Vlina-R2 Racy
Used: Puppeee Precise Lucid Wary Tahrpup Quirky Slacko MacPup Saluki Puppy Studio LxPupTarh Lina-Lite Lina
i ♥ Puppy
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4281
Location: holland

PostPosted: Wed 05 Sep 2018, 09:27    Post subject:  

johnywhy wrote:
hi Fred, thx for this awesomeness. Seems a more complete implementation of xfce than StretchDog32-openbox_xfce-jwm-2017-10-10 (my current main OS).

It's complete XFCE, AFAIK, except it has different shutdown dialog

Quote:
but, failed to install an Opera deb, using "install.deb(s)"
opera-stable_45.0.2552.898_i386.deb

Maybe you didn't update the package lists, need to do first:
Code:
apt-get update

And then install the opera .deb with "install.deb(s)"

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 10:19    Post subject:  

[quote="fredx181"]
johnywhy wrote:

Maybe you didn't update the package lists, need to do first:
Code:
apt-get update

And then install the opera .deb with "install.deb(s)"


Bingo.

Is it equivalent to do "Reload" in Synaptic? I got Opera after doing that.

THX

_________________
Now: X-Tahr 2.0! StretchDog! DevuanDog!
Tops: TarhNOP Vlina-R2 Racy
Used: Puppeee Precise Lucid Wary Tahrpup Quirky Slacko MacPup Saluki Puppy Studio LxPupTarh Lina-Lite Lina
i ♥ Puppy
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4281
Location: holland

PostPosted: Wed 05 Sep 2018, 11:23    Post subject:  

Quote:
.....
apt-get update
....
Is it equivalent to do "Reload" in Synaptic?

Yes it is.

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 16:22    Post subject:  

removed, see post below
_________________
Now: X-Tahr 2.0! StretchDog! DevuanDog!
Tops: TarhNOP Vlina-R2 Racy
Used: Puppeee Precise Lucid Wary Tahrpup Quirky Slacko MacPup Saluki Puppy Studio LxPupTarh Lina-Lite Lina
i ♥ Puppy

Last edited by johnywhy on Wed 05 Sep 2018, 17:15; edited 2 times in total
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 17:09    Post subject:  

fredx181 wrote:
32-bit ISO:
https://dl.dropboxusercontent.com/s/0gqmpjs6o6wy71v/DebLive_Stretch-xfce4-i386.iso?dl=1 Size 160MB

Hi Fred!

Some issues:

can't get xarchiver to work.
Quote:
Failed to execute child process "unzip" (No such file or directory)


------

numlock lost on reboot

-----

getting intermiittent blank dialogs, eg the "save changes" dialog on closing mousepad, and adding bookmarks to Opera.





-------

In Synaptic, when i click 'Upgrade all', i get the following. Is it recommended?

Quote:
base-files (version 9.9+deb9u4) will be upgraded to version 9.9+deb9u5
bsdutils (version 1:2.29.2-1) will be upgraded to version 1:2.29.2-1+deb9u1
ca-certificates (version 20161130+nmu1) will be upgraded to version 20161130+nmu1+deb9u1
dpkg (version 1.18.24) will be upgraded to version 1.18.25
file (version 1:5.30-1+deb9u1) will be upgraded to version 1:5.30-1+deb9u2
fuse (version 2.9.7-1) will be upgraded to version 2.9.7-1+deb9u1
gnupg (version 2.1.18-8~deb9u1) will be upgraded to version 2.1.18-8~deb9u2
gnupg-agent (version 2.1.18-8~deb9u1) will be upgraded to version 2.1.18-8~deb9u2
gpgv (version 2.1.18-8~deb9u1) will be upgraded to version 2.1.18-8~deb9u2
libblkid1 (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
libcups2 (version 2.2.1-8+deb9u1) will be upgraded to version 2.2.1-8+deb9u2
libcurl3-gnutls (version 7.52.1-5+deb9u4) will be upgraded to version 7.52.1-5+deb9u6
libfdisk1 (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
libfuse2 (version 2.9.7-1) will be upgraded to version 2.9.7-1+deb9u1
libgcrypt20 (version 1.7.6-2+deb9u2) will be upgraded to version 1.7.6-2+deb9u3
liblcms2-2 (version 2.8-4) will be upgraded to version 2.8-4+deb9u1
libldap-2.4-2 (version 2.4.44+dfsg-5+deb9u1) will be upgraded to version 2.4.44+dfsg-5+deb9u2
libldap-common (version 2.4.44+dfsg-5+deb9u1) will be upgraded to version 2.4.44+dfsg-5+deb9u2
libmagic-mgc (version 1:5.30-1+deb9u1) will be upgraded to version 1:5.30-1+deb9u2
libmagic1 (version 1:5.30-1+deb9u1) will be upgraded to version 1:5.30-1+deb9u2
libmount1 (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
libpam-systemd (version 232-25+deb9u2) will be upgraded to version 232-25+deb9u4
libsmartcols1 (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
libsoup-gnome2.4-1 (version 2.56.0-2+deb9u1) will be upgraded to version 2.56.0-2+deb9u2
libsoup2.4-1 (version 2.56.0-2+deb9u1) will be upgraded to version 2.56.0-2+deb9u2
libssl1.1 (version 1.1.0f-3+deb9u1) will be upgraded to version 1.1.0f-3+deb9u2
libsystemd0 (version 232-25+deb9u2) will be upgraded to version 232-25+deb9u4
libudev1 (version 232-25+deb9u2) will be upgraded to version 232-25+deb9u4
libuuid1 (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
libxapian30 (version 1.4.3-2) will be upgraded to version 1.4.3-2+deb9u1
mount (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
openssl (version 1.1.0f-3+deb9u1) will be upgraded to version 1.1.0f-3+deb9u2
peasywifi (version 4.6-1) will be upgraded to version 4.6-2
perl-base (version 5.24.1-3+deb9u2) will be upgraded to version 5.24.1-3+deb9u4
shared-mime-info (version 1.8-1) will be upgraded to version 1.8-1+deb9u1
sound-card-selector (version 1.1) will be upgraded to version 1.4
systemd (version 232-25+deb9u2) will be upgraded to version 232-25+deb9u4
tzdata (version 2018c-0+deb9u1) will be upgraded to version 2018e-0+deb9u1
udev (version 232-25+deb9u2) will be upgraded to version 232-25+deb9u4
util-linux (version 2.29.2-1) will be upgraded to version 2.29.2-1+deb9u1
porteusbootscripts (version 0.0.4) will be installed


THX!

_________________
Now: X-Tahr 2.0! StretchDog! DevuanDog!
Tops: TarhNOP Vlina-R2 Racy
Used: Puppeee Precise Lucid Wary Tahrpup Quirky Slacko MacPup Saluki Puppy Studio LxPupTarh Lina-Lite Lina
i ♥ Puppy
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12975
Location: Stratford, Ontario

PostPosted: Wed 05 Sep 2018, 18:05    Post subject:  

None of this is relevant to the Starter Kit project.

You should start another thread.
Back to top
View user's profile Send private message 
johnywhy


Joined: 20 Aug 2011
Posts: 882

PostPosted: Wed 05 Sep 2018, 18:12    Post subject:  

rcrsn51 wrote:
None of this is relevant to the Starter Kit project.

You should start another thread.


sorry, i posted here cuz this is where Fred posted these iso's.
http://murga-linux.com/puppy/viewtopic.php?p=994600#994600

Fred, is there a thread dedicated to your iso's?

THX

_________________
Now: X-Tahr 2.0! StretchDog! DevuanDog!
Tops: TarhNOP Vlina-R2 Racy
Used: Puppeee Precise Lucid Wary Tahrpup Quirky Slacko MacPup Saluki Puppy Studio LxPupTarh Lina-Lite Lina
i ♥ Puppy
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 10 of 24 [357 Posts]   Goto page: Previous 1, 2, 3, ..., 8, 9, 10, 11, 12, ..., 22, 23, 24 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1000s ][ Queries: 12 (0.0403s) ][ GZIP on ]